com.aliyun.svideosdk.common.struct.effect

## Class ActionShader

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.ActionBase
  - - com.aliyun.svideosdk.common.struct.effect.ActionShader

-     public class ActionShader
      extends ActionBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.effect.ActionBase

      `ActionBase.Interpolator, ActionBase.PartParam, ActionBase.RepeatMode, ActionBase.Scope, ActionBase.Type`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.ActionBase

      `mAnimationConfig, mDuration, mFillAfter, mFillBefore, mId, mInterpolatorType, mIsStream, mPartParam, mRepeatCount, mRepeatMode, mScope, mStartOffset, mTargetId, mTimelineIn, mTimelineOut, mType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionShader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAnimationConfig(java.lang.String animationConfig)` Defines custom animations with the specified animation configuration.
    `void` | `setShader(java.lang.String aVertexFunction, java.lang.String aFragmentFunction)`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.ActionBase

      `equals, getAnimationConfig, getDuration, getDuration, getId, getResId, getStartTime, getStartTime, getTargetId, getTimelineIn, getTimelineOut, getType, isStream, setDuration, setDuration, setFillAfter, setFillBefore, setId, setInterpolatorType, setIsStream, setPartParam, setRepeatCount, setRepeatMode, setResId, setScope, setStartOffset, setStartTime, setStartTime, setTargetId, setTimelineIn, setTimelineOut, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionShader

          public ActionShader()

  - ### Method Detail

    - #### setShader

          public void setShader(java.lang.String aVertexFunction,
                                java.lang.String aFragmentFunction)

    - #### setAnimationConfig

          public void setAnimationConfig(java.lang.String animationConfig)

      Description copied from class: `ActionBase`

           Defines custom animations with the specified animation configuration. Allows you to create custom animations at random points in time
           to achieve different transition speeds. The animation configuration must be a string representation of semicolon-separated key-value pairs.
           The key indicates the point in time and the value can hold one or two values depending on the animation type. One value is needed for
           animations such as rotation while two comma-separated values are needed for animations such as transition and scaling. Separate the key
           and value in a key-value pair with a colon.

           Examples:
           rotation: "0.0:0.123;0.1:0.245;0.3:0.798"
           translation: "0.0:0.234,1.47;0.1:2.3,4.565;0.2:3.45,6.78"

      Overrides:
        `setAnimationConfig` in class `ActionBase`
      Parameters:
        `animationConfig` - The animation configuration.